using System.Collections.Generic;
using System.Threading.Tasks;
using Props.Shop.Framework;
using Xunit;

namespace Props.Shop.Adafruit.Tests
{
    public class AdafruitShopTest
    {
        [Fact]
        public async Task TestSearch() {
            AdafruitShop mockAdafruitShop = new AdafruitShop();
            mockAdafruitShop.Initialize(null);
            await mockAdafruitShop.InitializeAsync(null);
            int count = 0;
            foreach (ProductListing listing in mockAdafruitShop.Search("raspberry pi", new Filters()))
            {
                count += 1;
            }
            Assert.True(count > 0);
        }
    }
}